org.apache.lucene.search.highlight

## Class SimpleHTMLEncoder

- java.lang.Object
- - org.apache.lucene.search.highlight.SimpleHTMLEncoder

All Implemented Interfaces:
  Encoder

    public class SimpleHTMLEncoder
    extends Object
    implements Encoder

Simple `Encoder` implementation to escape text for HTML output

### Constructor Summary

Constructors
Constructor and Description
`SimpleHTMLEncoder()`

### Method Summary

Methods
`String` `encodeText(String originalText)`
`static String` `htmlEncode(String plainText)` Encode string into HTML

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleHTMLEncoder

    public SimpleHTMLEncoder()

### Method Detail

#### encodeText

    public String encodeText(String originalText)

Specified by:
  `encodeText` in interface `Encoder`
Parameters:
  `originalText` - The section of text being output

#### htmlEncode

    public static final String htmlEncode(String plainText)

Encode string into HTML